import { css } from "@linaria/core";
import Login from "@queenjs-modules/auth/components/Login";
import { defineComponent } from "vue";
export default defineComponent(() => {
  return () => (
    <div class={LoginStyle}>
      <Login class="!h-auto flex-1" />
      <div class="footer_copy">
        <a href="https://beian.miit.gov.cn" target="_blank">
          蜀ICP备18008991号-3
        </a>
        版权所有：3Dqueen
      </div>
    </div>
  );
});
const LoginStyle = css`
  height: 100vh;
  display: flex;
  flex-direction: column;
  .footer_copy {
    padding: 10px 0;
    text-align: center;
    color: #999;
  }

  .footer_copy a {
    margin-right: 5px;
    color: #fff;
  }
`;
